@use "variables"

.dia
  position: relative
  overflow: hidden
  height: 400px
  @media screen and (max-width: 500px)
    height: 200px

  .slider-overlay
    position: absolute
    left: 50%
    transform: translateX(-50%)
    width: 100%
    max-width: variables.$header-width
    height: 100%
    padding: 30px 30px 45px
    display: flex
    align-items: flex-end
    justify-content: space-between
    z-index: 3
    @media screen and (max-width: variables.$mobile-width)
      padding: 15px 30px

  .title
    color: variables.$white
    font-size: 34px
    flex-basis: 80%
    @media screen and (max-width: 800px)
      flex-basis: 100%
      font-size: 25px
    @media screen and (max-width: 600px)
      font-size: 16px

  .image-credits
    font-size: 16px
    color: variables.$blue
    display: flex
    align-items: flex-end
    @media screen and (max-width: variables.$header-width)
      display: none

  .slides
    li
      height: 400px
      @media screen and (max-width: 500px)
        height: 200px

    img
      position: absolute
      left: 50%
      top: 50%
      transform: translate(-50%, -50%)
      width: 100%
      height: auto

  .flex-control-nav
    position: absolute
    bottom: 16px
    width: 100%
    z-index: 4
    text-align: center
    @media screen and (max-width: variables.$mobile-width)
      display: none

    li
      margin: 0 6px
      display: inline-block

      a
        display: block
        background: variables.$white
        cursor: pointer
        color: variables.$transparent
        box-shadow: inset 0 0 3px rgba(0,0,0,0.3)
        border-radius: 20px
        width: 8px
        height: 8px
        &:hover
          background: rgba(0,0,0,0.7)
        &.flex-active
          background: variables.$blue
          cursor: default

  .flex-direction-nav
    display: none

  .image-gradient
    background-image: linear-gradient(0, variables.$black 0%, variables.$transparent 40%)
    position: absolute
    top: 0
    bottom: 0
    left: 0
    right: 0
